# Content offer

An action block that offers content to other apps.

The fiber will pause until an app request the content on offer, usually by an “attach” button/menu, then choosing Automate flow as source.

The OK path should include a Content offer result block to complete the request, otherwise the request isn’t canceled until the fiber stops or the user does so manually.

Set a content MIME type input argument to limit the type of content offered by this fiber, the specific type requested is assigned to the content MIME type output variable.

## Input arguments

- Title — title to display when choosing a target flow, default is the Flow beginning title.
- Content MIME type — MIME type of the content on offer, default is any content.

## Output variables

- Content MIME type — variable to assign the MIME type specifically requested by the other app.